Skip to main content

Update a Markdown Document

PUT 

/api/v8/partner/parse/:document_id

Veryfi's Update a Document by ID endpoint allows you to change a Document that Veryfi's Machine Learning models have already processed. This feature will enable users to update Documents previously processed by Veryfi to ensure data extraction accuracy. Updating a Document is especially useful for correcting mistakes and updating information over time. By changing a processed Document, Veryfi's Machine Learning models can re-learn the updated information, allowing them to stay accurate and up-to-date.

Request​

Path Parameters

    document_id int64required

    The unique identifier of the document.

Body

    status (string | null)

    Update the document status

Responses​

A processed Markdown Document response.

Schema
    id integerrequired

    The database ID of the markdown document

    markdown (string | null)required

    The markdown content of the converted document.

    pages object[]

    Page structures returned when details is true.

    document_type stringrequired

    Type of document

    external_id (string | null)

    External reference ID

    status stringrequired

    Processing status

    md_storage_path (string | null)

    S3 path to the markdown document

    pdf_url (string | null)

    S3 URL to the PDF file

    img_url (string | null)

    S3 URL to the image file

    created stringrequired

    Creation timestamp

    updated stringrequired

    Last update timestamp

    tags string[]

    Default value: ``

    Document tags

    meta DocumentToMarkdownMeta

    Meta information about the processed document.

    total_pages (integer | null)

    The total number of pages found in the submitted document.

    processed_pages (integer | null)

    The number of processed pages for the document. The default limit is 50 pages per document. Use max_pages_to_process on the POST request to lower the limit.

    pages object[]

    An array containing meta info about each processed page.

  • Array [
  • ocr_score (number | null)

    Possible values: <= 1

    The average OCR score of the page.

    width (integer | null)

    The width of the page.

    height (integer | null)

    The height of the page.

    is_blurry ClassNullableBoolField

    The processed page is blurry or not

    score (number | null)

    Possible values: <= 1

    The score shows how confident the model is that the predicted value belongs to the field. See confidence scores explained for more information.

    value (boolean | null)required

    The extracted value.

  • ]
  • source_documents object[]

    An array containing meta info about originally submitted documents.

  • Array [
  • size_kb (integer | null)required
    height (integer | null)required
    width (integer | null)required
    exif (object | null)

    EXIF data from the source document

  • ]
  • ocr_score (number | null)

    Possible values: <= 1

    The average OCR score of the whole document.

    original_file_name (string | null)

    Possible values: non-empty

    The original file name of the uploaded document.

    source string

    Possible values: [api.email, api.web, api, browser_extension, lens.bill, lens.invoice, lens.long_receipt, lens.other, lens.receipt, lens.web, lens]

    Default value: api

    The source of the document's submission for processing.

Loading...